Skip to main content
`Ctrl`+`K`

# PEPGetProblemType

Gets the problem type from the `PEP` object.

## Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPGetProblemType(PEP pep,PEPProblemType *type)

Not Collective

## Input Parameter

- pep - the polynomial eigensolver context

## Output Parameter

- type - the problem type

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPSetProblemType()`, `PEPProblemType`

## Level

intermediate

## Location

src/pep/interface/pepopts.c

## Examples

src/pep/tutorials/ex40.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages